Summary: Script to allow users to start programs at system boot time.
Name: rcuser
Version: 0.1
Release: 1
Copyright: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: perl,initscripts,chkconfig,logrotate
BuildArchitectures: noarch

%description
The rcuser script provides non-root users on a unix system with a mechanism to
start programs automatically at system boot time.  Users put scripts in the
directory /var/spool/rcuser, and these are run with the UID of the owner,
with output logged into the home directory.

%prep
%setup

%install
rm -rf %{buildroot}
mkdir %{buildroot}

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/logrotate.d
mkdir -p -m 1777 %{buildroot}/var/spool/rcuser

install -m 755 rcuser %{buildroot}/usr/sbin
install -m 755 rcuser.init %{buildroot}/etc/rc.d/init.d/rcuser
install -m 644 rcuser.logrotate %{buildroot}/etc/logrotate.d/rcuser

%post
chkconfig --add rcuser

%preun
chkconfig --del rcuser

%clean
rm -rf %{buildroot}

%files
%doc README COPYING
/usr/sbin/rcuser
/etc/rc.d/init.d/rcuser
/etc/logrotate.d/rcuser
%attr(1777,root,root) /var/spool/rcuser

%changelog
* Tue Jan  7 2003 Alan Iwi <A.M.Iwi@rl.ac.uk>
- Initial version
